std::hash< type_index > Struct Reference

`#include <typeindex>`

## Public Types

typedef type_index | argument_type
typedef size_t | result_type

## Public Member Functions

size_t | operator() (const type_index &__ti) const noexcept

## Detailed Description

std::hash specialization for type_index.

Definition at line 116 of file typeindex.

## Member Typedef Documentation

## argument_type

typedef type_index std::hash< type_index >::argument_type

Definition at line 119 of file typeindex.

## result_type

typedef size_t std::hash< type_index >::result_type

Definition at line 118 of file typeindex.

## Member Function Documentation

## operator()()

size_t std::hash< type_index >::operator() | ( | const type_index & | __ti | ) | const

inline noexcept

Definition at line 122 of file typeindex.

The documentation for this struct was generated from the following file:

- typeindex